commit:     f53f2fe2723c754b326f1b8f775ab828d42a47bd
Author:     Adam Feldman <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 25 21:04:54 2020 +0000
Commit:     Adam Feldman <np-hardass <AT> gentoo <DOT> org>
CommitDate: Mon Apr  6 17:48:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f53f2fe2

app-editors/pluma: Bump to 1.24.0

Package-Manager: Portage-2.3.82, Repoman-2.3.18
Signed-off-by: Adam Feldman <NP-Hardass <AT> gentoo.org>

 app-editors/pluma/Manifest            |  1 +
 app-editors/pluma/pluma-1.24.0.ebuild | 81 +++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/app-editors/pluma/Manifest b/app-editors/pluma/Manifest
index 1033e6f7491..7076b889416 100644
--- a/app-editors/pluma/Manifest
+++ b/app-editors/pluma/Manifest
@@ -1,3 +1,4 @@
 DIST pluma-1.22.0.tar.xz 3235612 BLAKE2B 
a0cda23a6ee73e562cb32c3f1430590042248b6a6e7cbf021103db507450b2a594506f3d8283eeed08e2ba5006ff51376eb6db5e94ea5ac9d5707b29e0efc2c4
 SHA512 
7c74c2ce0a89ec3813c936449d3114957e7b319433875ef567ecc508a28a1d3ddc3d0da418b2eb1278b6dc9dbaa3c75a279524f5a061b5aecb52955edcf28f51
 DIST pluma-1.22.1.tar.xz 3236724 BLAKE2B 
f571ccb79ffac11122dad1888a9804fdb1671f2c73b28c216e0ec593ffc4dac3fec3053b83fd1503e0c951e032f6e4c22fb4f3d6a1d23477a54e06de2659222e
 SHA512 
0d3f07b2e8c736c9e1ad64ed5cb749db6088868e9bc27aa786cbb0c3fe72715f0fd4dd53999502a4333ec82110148b772c0dde81433d0936d2d3c2d04804026a
 DIST pluma-1.22.2.tar.xz 3262288 BLAKE2B 
0a7af4318ec11aa6a01dd14ed071975b6a961747c1abda9120912244f3fd530c5c06e2fc9dad6ad23175c119e35c1380e88be4b9bc1e331485b646dee87af8e1
 SHA512 
a68b79713f649def15ea29e58e041d70bb6d756a356743f6e06d8dd680f7b39e8bcdd90c68cbe5c517bead7f9263d7596954bc595c3a2501edf0d0ea421c9992
+DIST pluma-1.24.0.tar.xz 3717544 BLAKE2B 
fd9375fd05566c11c24d5bdf55ab0d4619143127a5e48c4e91d18421f50340775d58c3e2264382aa3bbd8aad0569c559e87381a9ece07ce1592d1bc1a5315db1
 SHA512 
390bf2949549baa0e3dc706526217fbc1513e2f9778917710da806e58cdfb0b7a36e95ed2186442490996cf76783acd4e0f4b8f1fedacee9ba356c0d466510be

diff --git a/app-editors/pluma/pluma-1.24.0.ebuild 
b/app-editors/pluma/pluma-1.24.0.ebuild
new file mode 100644
index 00000000000..f7f7039f80f
--- /dev/null
+++ b/app-editors/pluma/pluma-1.24.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+
+PYTHON_COMPAT=( python{2_7,3_6,3_7} )
+
+inherit mate python-single-r1 virtualx
+
+if [[ ${PV} != 9999 ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Pluma text editor for the MATE desktop"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="+introspection spell test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Tests require gvfs sftp fs mounted and schema's installed. Disable tests.
+# https://github.com/mate-desktop/mate-text-editor/issues/33
+RESTRICT="test"
+
+COMMON_DEPEND="dev-libs/atk
+       >=dev-libs/glib-2.50:2
+       >=dev-libs/libpeas-1.2.0[gtk]
+       >=dev-libs/libxml2-2.5:2
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       >=x11-libs/gtk+-3.22:3[introspection?]
+       >=x11-libs/gtksourceview-3.0.0:3.0
+       x11-libs/libICE
+       x11-libs/libX11
+       >=x11-libs/libSM-1.0
+       x11-libs/pango
+       introspection? ( >=dev-libs/gobject-introspection-0.9.3:= )
+       spell? (
+               >=app-text/enchant-1.6:=
+               >=app-text/iso-codes-0.35
+       )
+       !!app-editors/mate-text-editor
+"
+
+RDEPEND="${PYTHON_DEPS}
+       ${COMMON_DEPEND}
+       >=mate-base/mate-desktop-1.9[introspection?]
+       virtual/libintl
+"
+
+DEPEND="${COMMON_DEPEND}
+       ~app-text/docbook-xml-dtd-4.1.2
+       app-text/rarian
+       >=app-text/scrollkeeper-dtd-1:1.0
+       app-text/yelp-tools
+       dev-util/glib-utils
+       dev-util/gtk-doc
+       dev-util/gtk-doc-am
+       >=sys-devel/libtool-2.2.6:2
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_configure() {
+       mate_src_configure \
+               $(use_enable introspection) \
+               $(use_enable spell) \
+               $(use_enable test tests)
+}
+
+src_test() {
+       # FIXME: This should be handled at eclass level.
+       "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+
+       unset DBUS_SESSION_BUS_ADDRESS
+
+       GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
+}

Reply via email to